/*
 * l: a language for cgscore to describe actions
 * public domain, like cgscore
 */

#ifndef _LIST_H_
#define _LIST_H_

typedef int list;

list new_list(void);
int list_add(list, void *);
int list_add_int(list, int);
int list_add_float(list, float);
void *list_get(list, int);
int list_get_int(list, int);
void list_set_int(list, int, int);
float list_get_float(list, int);
int list_size(list);

void close_list(void);

#endif /* _LIST_H_ */
