/* generate pitches of notes. */
/* public domain stuff */
/* for midi */

#include <stdio.h>
#include <math.h>

//#include "typedefs.h"

/* G 2 A 2 B 1 C 2 D 2 E 1 F 2 */
int inc_tone[7] = { 2, 2, 1, 2, 2, 1, 2};

int base_to_tone[7] = { 0, 2, 4, 5, 7, 9, 10 };

#define OFFSET (60+9)

void dump_note(int n)
{
  int base = n;
  int octave = 0;
  int tone;

  while (base < 0) { base += 7; octave-=12; }
  while (base > 6) { base -= 7; octave+=12; }

  tone = base_to_tone[base] + octave + OFFSET;

  printf("  { %d, %d, %d} /* %d */,\n",
         tone-3 /* bemol */,
         tone-2 /* normal */,
         tone-1 /* diese */,
         n);
}

int main(void)
{
  int i;
  //for (i = NOTE_MIN; i <= NOTE_MAX; i++) dump_note(i);
  for (i = 0; i <= 6; i++) dump_note(i);
  return 0;
}
