/* gcomposer: a little tool to write music.
 * http://sed.free.fr/gcomposer
 * Released in the public domain (freedom has no license).
 */

#ifndef _GREY_H_
#define _GREY_H_

typedef struct {
  int level;
  void *pointer;	/* NULL means the entry is not in use */
} grey_item;

typedef enum {
#include "grey_enum.h"
__GREY_NB_ITEMS
} grey_type;

void greyreg(grey_type, void *);
void greyunreg(grey_type);
void grey(grey_type);
void ungrey(grey_type);
void greyall(void);
void ungreyall(void);

void forcegrey(grey_type, int);

#include "doc.h"

/* some convenient functions */
void set_grey_undo_redo(doc *);

#endif /* _GREY_H_ */
