/* gcomposer: a little tool to write music.
 * http://sed.free.fr/gcomposer
 * Released in the public domain (freedom has no license).
 */

#ifndef _IMAGE_H_
#define _IMAGE_H_

typedef struct {
  int width;
  int height;
  void *points;		/* a GdkPoint array */
  int nb_points;
} image;

enum image_type {
  I_SILENCE_RONDE, I_SILENCE_BLANCHE, I_SILENCE_NOIRE, I_SILENCE_CROCHE,
  I_SILENCE_DCROCHE, I_SILENCE_DDCROCHE, I_SILENCE_DDDCROCHE,
  I_SILENCE_DDDDCROCHE,
  I_DIESE, I_BEMOL, I_BECARRE,
  I_BLACK_HEAD, I_WHITE_HEAD,
  I_DOT,
  I_UP_CROCHE, I_UP_DCROCHE, I_UP_DDCROCHE, I_UP_DDDCROCHE, I_UP_DDDDCROCHE, 
  I_DOWN_CROCHE, I_DOWN_DCROCHE, I_DOWN_DDCROCHE, I_DOWN_DDDCROCHE,
  I_DOWN_DDDDCROCHE,
  I_CLEF_C, I_CLEF_F, I_CLEF_G, I_CLEF_G_8va, I_CLEF_G_8vb
};

#define NB_IMAGES 29

extern image images[NB_IMAGES];

void init_image(void);

#endif /* _IMAGE_H_ */
