/* public domain stuff */

#include "list.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int list_add(list *l, int v)
{
  if (l->size == l->maxsize) {
    int *new;
    int ns = l->maxsize + 128;
    if (l->data)
      new = realloc(l->data, ns * sizeof(int));
    else
      new = malloc(ns * sizeof(int));
    if (!new) return -1;
    l->data = new;
    l->maxsize = ns;
  }

  l->data[l->size] = v;
  l->size++;

  return 0;
}

int list_size(list *l)
{
  return l->size;
}

int list_get(list *l, int elem)
{
  return l->data[elem];
}

void empty_list(list *h)
{
  h->size = 0;
}
