/* gcomposer: a little tool to write music.
 * http://sed.free.fr/gcomposer
 * Released in the public domain (freedom has no license).
 */

state confirm_quit_state(int *ret, void *dad)
{
  data {
    int *ret;
    struct yes_no_gui gui;
  }

  enter {
    data->ret = ret;
    init_yes_no_gui(&data->gui, dad,
       "The file is modified.\nAre you sure you want to quit?\nYou will lose some of your work.",
       _owner);
    gtk_wrapper_widget_show_all(data->gui.win);
    greyall();
  }

  leave {
    ungreyall();
    gtk_wrapper_widget_destroy(data->gui.win);
  }

  action yes_no_yes {
    *data->ret = 1;
    RETURN;
  }

  action yes_no_no {
    *data->ret = 0;
    RETURN;
  }
}

state confirm_load_state(int *ret, void *dad)
{
  data {
    int *ret;
    struct yes_no_gui gui;
  }

  enter {
    data->ret = ret;
    init_yes_no_gui(&data->gui, dad,
       "The current file is modified.\nAre you sure you want to load the new one?\nYou will lose some of your work.",
       _owner);
    gtk_wrapper_widget_show_all(data->gui.win);
    greyall();
  }

  leave {
    ungreyall();
    gtk_wrapper_widget_destroy(data->gui.win);
  }

  action yes_no_yes {
    *data->ret = 1;
    RETURN;
  }

  action yes_no_no {
    *data->ret = 0;
    RETURN;
  }
}

state confirm_new_state(int *ret, void *dad)
{
  data {
    int *ret;
    struct yes_no_gui gui;
  }

  enter {
    data->ret = ret;
    init_yes_no_gui(&data->gui, dad,
       "The current file is modified.\nAre you sure you want to edit a new one?\nYou will lose some of your work.",
       _owner);
    gtk_wrapper_widget_show_all(data->gui.win);
    greyall();
  }

  leave {
    ungreyall();
    gtk_wrapper_widget_destroy(data->gui.win);
  }

  action yes_no_yes {
    *data->ret = 1;
    RETURN;
  }

  action yes_no_no {
    *data->ret = 0;
    RETURN;
  }
}
