/* gcomposer: a little tool to write music.
 * http://sed.free.fr/gcomposer
 * Released in the public domain (freedom has no license).
 */

state set_text_state(doc *d, gui *g, char *init_text)
{
  data {
    doc *d;
    struct gui *g;
    int *ret_code;
    char load_file[FILENAME_MAX];
    struct text_setting_gui gui;
  }

  enter {
    data->d = d;
    data->g = g;
    disable_cursor(&data->d->cursor);
    init_text_setting_gui(&data->gui, g->win, init_text, _owner);
    gtk_wrapper_widget_show_all(data->gui.win);
    greyall();
  }

  leave {
    ungreyall();
    gtk_wrapper_widget_destroy(data->gui.win);
    enable_cursor(&data->d->cursor);
  }

  action set_text_ok(char *t) {
    history_next_is_major(&data->d->history);
    clear_cursor(&data->d->cursor);
    if (!set_text(data->d, data->d->cursor.line, t)) {
      history_up_and_forget(data->d);
      size_post_treatment(data->d);
      CALL(error_state, data->gui.win);
      BREAK;
    }
    size_post_treatment(data->d);
    RETURN;
  }

  action set_text_cancel {
    RETURN;
  }
}
