/* gcomposer: a little tool to write music.
 * http://sed.free.fr/gcomposer
 * Released in the public domain (freedom has no license).
 */

#ifndef _TUTORIAL_H_
#define _TUTORIAL_H_

/* these macros are used to set the text of the tutorial window
 * (it's a bit ugly, I agree)
 */
#define SET_TEXT_BEGIN					\
  do {							\
    void *buffer = data->tut_gui->buffer;		\
    void *iter = gtk_wrapper_get_tutorial_iter();	\
    gtk_wrapper_clear_text(buffer);			\
    gtk_wrapper_text_buffer_get_iter_at_offset(buffer, iter, 0);

#define SET_TEXT_END							\
    gtk_wrapper_text_view_begin(data->tut_gui->scroll_win);		\
    gtk_wrapper_text_buffer_get_iter_at_offset(buffer, iter, 0);	\
    gtk_wrapper_text_buffer_place_cursor(buffer, iter);			\
  } while (0)

#define SET_ACTION(t)							\
  do {									\
    void *buffer = data->tut_gui->buf2;					\
    void *iter = gtk_wrapper_get_tutorial_iter();			\
    gtk_wrapper_clear_text(buffer);					\
    gtk_wrapper_text_buffer_get_iter_at_offset(buffer, iter, 0);	\
    gtk_wrapper_insert_one(buffer, iter, t, -1, "p");			\
  } while (0)

/* some fixed data for the tutorial */
#include "doc.h"

extern line tut_lines[3];
extern chord tut_chords[16];
extern elem tut_elems[3*3*3];

#endif /* _TUTORIAL_H_ */
