/* gcomposer: a little tool to write music.
 * http://sed.free.fr/gcomposer
 * Released in the public domain (freedom has no license).
 */

state tutorial_crash(tutorial_gui *a, struct gui *b, int *ret)
{
  data {
    tutorial_gui *tut_gui;
    struct gui *g;
    int *ret;
  }

  enter {
    data->tut_gui = a;
    data->g = b;
    data->ret = ret;
    SET_TEXT_BEGIN;
#include "tut_crash.h"
    SET_TEXT_END;
    SET_ACTION("Click the 'next' button to continue the tutorial.");
  }

  leave {
  }

  action tutorial_next {
    (*data->ret)++;
    RETURN;
  }

  action tutorial_quit {
    *data->ret = -1;
    RETURN;
  }

  action tutorial_set_step(int step) {
    if (step != *data->ret) {
      *data->ret = step;
      RETURN;
    }
  }
}
